Codevisor Docs
Api reference

PUT Sync Namespace

PUT/v1/sync/{namespace}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

namespace*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

entries*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/sync/string" \  -H "Content-Type: application/json" \  -d '{    "entries": [      {        "key": "string",        "value": null,        "timestamp": {          "wallMs": 0,          "counter": 0,          "deviceId": "string"        }      }    ]  }'
{  "namespace": "string",  "entries": [    {      "key": "string",      "value": null,      "deleted": true,      "timestamp": {        "wallMs": 0,        "counter": 0,        "deviceId": "string"      }    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}